> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Sepa XML payment

> Get a Sepa XML payment



## OpenAPI

````yaml get /sepa-xml-payments/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /sepa-xml-payments/{id}:
    parameters: []
    get:
      tags:
        - Sepa XML Payments
      summary: Get a Sepa XML payment
      description: Get a Sepa XML payment
      operationId: getSepaXmlPayment
      parameters:
        - name: id
          in: path
          description: SepaXmlPayment identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: SepaXmlPayment resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SepaXmlPayment'
            text/html:
              schema:
                $ref: '#/components/schemas/SepaXmlPayment'
        '404':
          description: Resource not found
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /sepa-xml-payments/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    SepaXmlPayment:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: ad8f1c1e-0b0a-4e1a-8b0a-0b0a4e1a8b0a
          type: string
        type:
          default: debit
          example: debit
          enum:
            - credit
            - debit
          description: |-


            Possible values:
             * `credit`: Credit
             * `debit`: Debit
        createdAt:
          default: CURRENT_TIMESTAMP
          example: '2021-01-01T00:00:00+00:00'
        dueDate:
          type:
            - string
            - 'null'
          format: date-time
        remittanceInformation:
          example: '#Fynn - Debit for invoice 123'
          type:
            - string
            - 'null'
        endToEndId:
          example: Fynn-123
          type:
            - string
            - 'null'
        amount:
          example: 100
          type: integer
        sepaMandate:
          $ref: '#/components/schemas/SepaMandate'
          readOnly: true
        sepaXmlStatement:
          readOnly: true
          type:
            - string
            - 'null'
          format: uuid
          example: ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a
        invoice:
          description: >-
            The invoice of the payment. In case of a cart payment or manual
            payment intent, the invoice is null.
          type:
            - string
            - 'null'
          format: uuid
          example: ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a
        transaction:
          description: The transaction of the payment.
          nullable: false
        autoCaptureAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        notifications:
          type: array
          items:
            type: string
            format: uuid
            example: ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a
        customer:
          readOnly: true
          type: string
          format: uuid
          example: ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a
        executionDate:
          readOnly: true
          type: string
          format: date-time
        sepaMandateForSystemMigration:
          $ref: '#/components/schemas/SepaMandate'
          writeOnly: true
        tenantId:
          readOnly: true
          type: string
    SepaMandate:
      type: object
      description: >-
        A SEPA direct debit mandate authorizing the collection of payments from
        a customer's bank account.
      deprecated: false
      properties:
        id:
          readOnly: true
          example: ad8f0b9c-0b1a-4e1a-8b0a-0b1a4e1a8b0a
          type: string
        status:
          description: |-
            The status of the mandate

            Possible values:
             * `active`: The mandate is active and can be used for payments
             * `revoked`: The customer has revoked the mandate or a payment was rejected by the bank. The mandate can not be used for payments anymore
          example: active
          enum:
            - active
            - revoked
        creditorIdentifier:
          readOnly: true
          type: string
        mandateReference:
          description: The reference of the mandate
          example: MNDT-2021-0001
          type: string
        signatureDate:
          description: The date of the mandate signature
          example: '2021-01-01'
          type: string
          format: date-time
        bankAccount:
          $ref: '#/components/schemas/BankAccount'
          description: The bank account of the mandate
        sequenceType:
          description: |-
            The sequence type of the mandate

            Possible values:
             * `FRST`: The sepa mandate is used for the first time for a recurring payment
             * `RCUR`: The sepa mandate was already used the first time and is now used for recurring payments
             * `FNAL`: The sepa mandate is used for the last time for a recurring payment
             * `OOFF`: The sepa mandate is only allowed to be used for one payment
          example: FRST
          enum:
            - FRST
            - RCUR
            - FNAL
            - OOFF
        sepaType:
          description: |-
            The type of the mandate

            Possible values:
             * `CORE`: The core scheme is used for payments between consumers and companies
             * `B2B`: The B2B scheme is used for payments between companies. No refund is possible
             * `COR1`: The COR1 scheme is used for payments between consumers and companies. The payment is processed faster than with the core scheme
          example: core
          enum:
            - CORE
            - B2B
            - COR1
        createdAt:
          readOnly: true
          description: The date of the creation
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        customer:
          type: string
          format: uuid
          example: ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a
        firstSepaDebit:
          readOnly: true
          type: boolean
        tenantId:
          readOnly: true
          type: string
    BankAccount:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: ad8f0b9c-4b1e-4e0e-8b9c-4b1e4e0e8b9c
          type: string
          description: Unique identifier of the bank account
        alias:
          example: Girokonto
          type:
            - string
            - 'null'
        iban:
          example: DE12500105170648489890
          type: string
          description: The IBAN of the bank account
        bic:
          example: PBNKDEFFXXX
          type: string
          description: The BIC/SWIFT code of the bank
        accountHolder:
          example: Max Mustermann
          type: string
          description: The name of the account holder
        bankName:
          example: Commerzbank
          type: string
          description: The name of the bank
        source:
          description: The source of the bank account. Can be any string.
          example: import
          type:
            - string
            - 'null'
        asValue:
          $ref: '#/components/schemas/BankAccountValue'
          readOnly: true
        tenantId:
          readOnly: true
          type: string
    BankAccountValue:
      type: object
      description: ''
      deprecated: false
      properties:
        iban:
          type: string
          description: The IBAN of the bank account
          example: DE89370400440532013000
        bic:
          type: string
          description: The BIC/SWIFT code of the bank
          example: COBADEFFXXX
        accountHolder:
          example: Max Mustermann
          type: string
          description: The name of the account holder
        bankName:
          example: Commerzbank
          type: string
          description: The name of the bank
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````